CREATE TABLE hwr_cnst_reward_b (
    REWARD_ID            NUMBER(18, 0) ,
    REWARD_ORDER         NUMBER(18, 0) ,
    NO_OF_REWARDS        NUMBER(18, 0) ,
    NAME                 VARCHAR2(2048)    NOT NULL,
    DESCRIPTION          VARCHAR2(4000)    NOT NULL,
    VALUE                NUMBER(18, 2) ,
    UNIT                 VARCHAR2(1024),
    MAX_NO_RECIPIENTS    NUMBER(18, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    REWARD_ID            NUMBER(18, 0) ,
    NAME                 VARCHAR2(2048)    NOT NULL,
    DESCRIPTION          VARCHAR2(4000)    NOT NULL,
    VALUE                NUMBER(18, 2) ,
    UNIT                 VARCHAR2(1024),
    MAX_NO_RECIPIENTS    NUMBER(18, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    REWARD_ORDER         NUMBER(18, 0) ,
    NO_OF_REWARDS        NUMBER(18, 0) ,
    CONSTRAINT pk_hwr_cnst_reward_b PRIMARY KEY (REWARD_ID, REWARD_ID)
);
